Skip to main content
GET
Get Amm Position Info

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

connector
string
required
network
string
required
pool_address
string
required
wallet_address
string | null

Response

Successful Response

Wallet's aggregate liquidity in an AMM pool, plus a per-position breakdown (DAMM v2).

poolAddress
string
required

Pool address

walletAddress
string
required

Wallet address

baseTokenAddress
string
required

Base token contract address

quoteTokenAddress
string
required

Quote token contract address

lpTokenAmount
string
required

Aggregate LP units across positions

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
baseTokenAmount
string
required

Aggregate base token amount

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
quoteTokenAmount
string
required

Aggregate quote token amount

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
price
string
required

Current pool price (quote per base)

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
positions
AMMPositionDetail · object[] | null

Per-NFT position breakdown